h27373
s 00049/00000/00000
d D 1.1 83/03/23 16:18:44 bog 1 0
c date and time created 83/03/23 16:18:44 by bog
e
u
4
U
t
T
I 1
#############################################################################
#									    #
#	This material is confidential and is furnished under		    #
#	a written license agreement.  It may not be used,		    #
#	copied or disclosed to others except in accordance		    #
#	with the terms of that agreement.				    #
#									    #
#	Copyright (C) 1982 Graphic Software Systems, Inc.		    #
#	All rights reserved.						    #
#									    #
#############################################################################
#									    #
#	Function:  							    #
#		CHARACTER Function EmNPut (I)				    #
#			Input	I:	Integer to be displayed		    #
#			Output	EmNPut:	CHARACTER number of chars displayed #
#		    Show the integer and return number of characters	    #
#		    displayed.						    #
#									    #
#	Called By:							    #
#									    #
#	Routines Called:						    #
#									    #
#############################################################################
 
CHARACTER Function EmNPut(I)
INTEGER I
 
INTEGER J,ADE(10)
 
INTEGER GIToCh				#Convert integer to ADE
External GIToCh
 
BEGINCOMMON
COMMON(SPECIALKEYS)
ENDCOMMON
 
EmNPut = GIToCh(I,ADE,10,J)		#Get ADE string of number
If (J != 0) {				#Length error
  ADE(1) = SPLAT			# ..flag with *
  }
If (Going) {
  For (J = 1; J <= EmNPut; J = J+1) {	#Show the characters
    Call EmAsci(ADE(J))			# Show a character
    }
  }
 
Return
End
E 1
